1. Trades
Fusion Developer Platform
  • Getting started with Fusion
    • Overview
    • API key generation
    • Rate limits
  • API
    • Getting started
    • Market data
      • Get server time
      • Get tickers
      • Get trading pairs
      • Get orderbook
      • Get candles
      • Get assets
    • Account
      • Get account
      • Get account balances
    • Trading
      • Orders
        • Get orders
        • Create order
        • Get order by ID
        • Cancel order by ID
      • Trades
        • Get trades
          GET
        • Get trade by ID
          GET
  • MCP
    • Getting started
    • Available tools
  • CLI
    • Getting Started
    • Commands
  1. Trades

Get trades

GET
https://api.fusion.bitpanda.com/v1/account/trades
Returns the authenticated account's trade history, filtered by the provided query parameters.

Request

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.fusion.bitpanda.com/v1/account/trades?pair=BTC-EUR%2CETH-USD&orderId=a1b2c3d4-e5f6-7890-abcd-ef1234567890&startTime=1726041600&endTime=1726127999&limit=100&cursor=eyJpZCI6IjEyMyJ9' \
--header 'x-api-key: <YOUR_API_KEY>'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "trade-a1b2c3d4",
            "orderId": "3aaad2dd-65ef-4ce8-98da-8af52a5b6f3e",
            "pair": "BTC-EUR",
            "side": "sell",
            "price": "61501.20",
            "quantity": "0.15000000",
            "fee": {
                "amount": "2.25",
                "currency": "EUR"
            },
            "totalAmount": "9225.18",
            "executedAt": "2025-09-11T12:15:30.000Z"
        }
    ],
    "meta": {
        "limit": 100,
        "hasNextPage": false,
        "nextCursor": null
    }
}
Modified at 2026-06-26 13:06:15
Previous
Cancel order by ID
Next
Get trade by ID
Built with